// SPDX-FileCopyrightText: Fondazione Istituto Italiano di Tecnologia (IIT)
// SPDX-License-Identifier: BSD-3-Clause
/*
 * Originally developed for Prioritized Optimal Control (2014)
 * Refactored in 2018.
 * Design inspired by
 * - ACADO toolbox (http://acado.github.io)
 * - ADRL Control Toolbox (https://adrlab.bitbucket.io/ct/ct_doc/doc/html/index.html)
 */

#ifndef IDYNTREE_OPTIMALCONTROL_UMBRELLA
#define IDYNTREE_OPTIMALCONTROL_UMBRELLA

// Include systems
#include <iDynTree/DynamicalSystem.h>
#include <iDynTree/LinearSystem.h>
#include <iDynTree/Constraint.h>
#include <iDynTree/ConstraintsGroup.h>
#include <iDynTree/Cost.h>
#include <iDynTree/OptimalControlProblem.h>
#include <iDynTree/TimeRange.h>
// TODO: add remaining headers

#endif /* end of include guard: IDYNTREE_OPTIMALCONTROL_UMBRELLA */
